net.corda.core.serialization

## Class CordaClassResolverKt

- net.corda.core.serialization.CordaClassResolverKt

-     public class CordaClassResolverKt

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addToWhitelist(com.esotericsoftware.kryo.Kryo $receiver, java.lang.Class<?> type)`
    `static com.esotericsoftware.kryo.ClassResolver` | `makeNoWhitelistClassResolver()`
    `static com.esotericsoftware.kryo.ClassResolver` | `makeStandardClassResolver()`

- - ### Method Detail

    - #### addToWhitelist

          public static void addToWhitelist(com.esotericsoftware.kryo.Kryo $receiver,
                                            java.lang.Class<?> type)

    - #### makeStandardClassResolver

          public static com.esotericsoftware.kryo.ClassResolver makeStandardClassResolver()

    - #### makeNoWhitelistClassResolver

          public static com.esotericsoftware.kryo.ClassResolver makeNoWhitelistClassResolver()